Help with beta patches (Full Version)

All Forums >> [New Releases from Matrix Games] >> Distant Worlds Series



Message


Warspite3 -> Help with beta patches (6/13/2012 12:09:26 AM)

I have DW and both expansions installed. I am wanting to try out those latest beta patches. My question is do I need to install Shakturi beta first and then install Legends beta or can I just install Legends beta alone?




ehsumrell1 -> RE: Help with beta patches (6/13/2012 1:31:26 AM)

Hello Warspite3;

If you want to play the Legends version, install the latest Legends beta patch
which currently is version 1.7.0.15. [:)]




Page: [1]

Valid CSS!




Forum Software © ASPPlayground.NET Advanced Edition 2.4.5 ANSI
0.015625